Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026722
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminorhave not tried2014-05-28 18:172014-10-01 16:45
ReporterjonalegriaesarteView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision549187e51178
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-02-27
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/67b8e22d232e63e951615c92c86315b318b478b2 [^]
Triggers an Emergency PackNo
Summary

0026722: P&E after selecting all the system does not check if the mandatory fields are set

DescriptionP&E after selecting all the system does not check if the mandatory fields are set. If the user selects the lines one by one, the system checks if the mandatory fields are set, once the user selects done button
Steps To Reproduce- Create a new return from customer
- Select a business partner
- P&E
- Select all
- Press done
The system shows an error without any information, but after closing the P&E window
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040721 closedcaristu Mandatory field in pick and execute not correctly checked 

-  Notes
(0067650)
hgbot (developer)
2014-06-02 10:40

Repository: erp/devel/pi
Changeset: ab24334dcb92b2385c9a9384c61289ac150a6bc4
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Jun 02 10:39:51 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ab24334dcb92b2385c9a9384c61289ac150a6bc4 [^]

Related to issue 26722:On P&E system does not check the mandatory fields

Fixes Q2 issue, fields were looking for null values but there were empty string values

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0067660)
hgbot (developer)
2014-06-02 12:58

Repository: erp/devel/pi
Changeset: 123836b0013cae67387d56d05c7bb3d31b3150b4
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Jun 02 12:57:42 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/123836b0013cae67387d56d05c7bb3d31b3150b4 [^]

Related to issue 26722:On P&E system does not check the mandatory fields

Use simple quotes enstead double quotes

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0067666)
hgbot (developer)
2014-06-02 14:11

Repository: erp/devel/pi
Changeset: 549187e51178ecfe12fe9d012eaa743cc8fb4b1c
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Jun 02 14:08:06 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/549187e51178ecfe12fe9d012eaa743cc8fb4b1c [^]

Fixed issue 26722:On P&E system does not check the mandatory fields

Modified validate structure to support 14Q3 behavior

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-pickeditgrid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0067667)
hgbot (developer)
2014-06-02 14:16

Repository: erp/devel/pi
Changeset: 7a230ede47d98441b81d9ffedc147e68bdd599a5
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Jun 02 14:15:41 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7a230ede47d98441b81d9ffedc147e68bdd599a5 [^]

Related to issue 26722:On P&E system does not check the mandatory fields

Modified wrong message

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0067671)
hgbot (developer)
2014-06-02 15:01

Repository: erp/devel/pi
Changeset: 38376d276178d67c0c37c6262c2a926e98ad0d17
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Jun 02 15:00:32 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/38376d276178d67c0c37c6262c2a926e98ad0d17 [^]

Related to issue 26722:On P&E system does not check the mandatory fields

Missing space

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0067723)
AugustoMauch (developer)
2014-06-03 17:39

The result of viewGrid.hasErrors() should be taken into account when the condition is evaluated.
(0067726)
hgbot (developer)
2014-06-03 17:50

Repository: erp/devel/pi
Changeset: 416c8de15ac9726c5cf68055b9fe2b340806793a
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Tue Jun 03 17:48:58 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/416c8de15ac9726c5cf68055b9fe2b340806793a [^]

Related to issue 26722:On P&E system does not check the mandatory fields

Added missing grid.hasErrors() to the logic

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-pickeditgrid.js
---
(0067752)
AugustoMauch (developer)
2014-06-04 12:50

Code reviewed and verified in pi@416c8de15ac9
(0067857)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test
(0067858)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test
(0067860)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test
(0067861)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test
(0067864)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test
(0067875)
hudsonbot (developer)
2014-06-10 22:23

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-28 18:17 jonalegriaesarte New Issue
2014-05-28 18:17 jonalegriaesarte Assigned To => AugustoMauch
2014-05-28 18:17 jonalegriaesarte Modules => Core
2014-05-28 18:17 jonalegriaesarte Triggers an Emergency Pack => No
2014-05-30 13:22 guillermogil Regression level => Production - QA Approved
2014-05-30 13:22 guillermogil Priority normal => immediate
2014-06-02 08:33 guillermogil Assigned To AugustoMauch => guillermogil
2014-06-02 10:40 hgbot Checkin
2014-06-02 10:40 hgbot Note Added: 0067650
2014-06-02 12:58 hgbot Checkin
2014-06-02 12:58 hgbot Note Added: 0067660
2014-06-02 14:06 guillermogil Issue Monitored: AugustoMauch
2014-06-02 14:06 guillermogil Review Assigned To => AugustoMauch
2014-06-02 14:10 guillermogil Regression date => 2014-02-27
2014-06-02 14:10 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/67b8e22d232e63e951615c92c86315b318b478b2 [^]
2014-06-02 14:11 hgbot Checkin
2014-06-02 14:11 hgbot Note Added: 0067666
2014-06-02 14:11 hgbot Status new => resolved
2014-06-02 14:11 hgbot Resolution open => fixed
2014-06-02 14:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/549187e51178ecfe12fe9d012eaa743cc8fb4b1c [^]
2014-06-02 14:16 hgbot Checkin
2014-06-02 14:16 hgbot Note Added: 0067667
2014-06-02 15:01 hgbot Checkin
2014-06-02 15:01 hgbot Note Added: 0067671
2014-06-03 17:39 AugustoMauch Note Added: 0067723
2014-06-03 17:39 AugustoMauch Status resolved => new
2014-06-03 17:39 AugustoMauch Resolution fixed => open
2014-06-03 17:50 hgbot Checkin
2014-06-03 17:50 hgbot Note Added: 0067726
2014-06-04 11:03 guillermogil Status new => scheduled
2014-06-04 11:03 guillermogil fix_in_branch => pi
2014-06-04 11:03 guillermogil Status scheduled => resolved
2014-06-04 11:03 guillermogil Resolution open => fixed
2014-06-04 12:50 AugustoMauch Note Added: 0067752
2014-06-04 12:50 AugustoMauch Status resolved => closed
2014-06-04 12:50 AugustoMauch Fixed in Version => PR14Q3
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067857
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067858
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067860
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067861
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067864
2014-06-10 22:23 hudsonbot Checkin
2014-06-10 22:23 hudsonbot Note Added: 0067875
2014-10-01 16:45 plujan Regression introduced in release => 3.0PR14Q2
2014-10-01 16:45 plujan fix_in_branch pi =>
2019-05-07 18:44 caristu Relationship added related to 0040721


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker